// FILENAME: Server_OV.cs
// Version: 3.5
//
// Overrun: Waves of Cybrids (or Humans) attack your base.
//
// Post feedback to the Editing and Scripting forum:
// http://starsiegeforum.sierra.com/
// See http://www.geocities.com/SoHo/Nook/9351/maps/index.html for more info.

exec(serverLocation);
//-------------------------------------------------
//  RC file to start a server automatically
//-------------------------------------------------

//-------------------------------------------------
// Edit the parameters of this file to configure
// your server options. Use notepad, not a word
// processor. File must be saved as text only.
//-------------------------------------------------

//-------------------------------------------------
// Type the name for your server inside the quotes
// Must be less then 22 characters
//-------------------------------------------------
$server::Hostname = "Overrun";

//-------------------------------------------------
// Password Protection. Leave blank for none.
// Quotes optional.
//-------------------------------------------------
$server::Password = "";

//-------------------------------------------------
// Maximum player limit.
//-------------------------------------------------
$server::MaxPlayers = 4;

//-------------------------------------------------
// Number of kills before server cycles.
// If zero, kills are never reset.
//-------------------------------------------------
$server::FragLimit = 0;

//-------------------------------------------------
// Time limit in minutes before server cycles.
// Must be a positive integer.
//-------------------------------------------------
$server::TimeLimit = 1440;

//-------------------------------------------------
// Mass limit per player
// Must be a positive integer or zero for no limit.
//-------------------------------------------------
$server::MassLimit = 0;

//-------------------------------------------------
// Combat Value limit per player
// Must be a positive integer or zero for no limit.
//-------------------------------------------------
$server::CombatValueLimit = 0;

//-------------------------------------------------
// Team play options. TeamPlay false =  deathmatch.
// TeamPlay true = teams
//-------------------------------------------------
$server::TeamPlay = TRUE;

//-------------------------------------------------
// Team Mass limit - valid only when teamPlay is true
// Must be a positive integer or zero for no limit.
//-------------------------------------------------
$server::TeamMassLimit = 0;

//-------------------------------------------------
// Team Combat Value Limit - valid only when teamPlay is true
// Must be a positive integer or zero for no limit.
//-------------------------------------------------
$server::TeamCombatValueLimit = 0;

//-------------------------------------------------
// Tech Level Limit
// Must be a positive integer less then or
// equal to 128 or zero for no limit.
//-------------------------------------------------
$server::TechLevelLimit = 0;

//-------------------------------------------------
// Drop In Progress
// Does server allow drop in progress??
//-------------------------------------------------
$server::DropInProgress = TRUE;

$server::AllowMixedTech = TRUE;
$server::FactoryVehOnly = FALSE;

//-------------------------------------------------
// Mission rotation list. This is the order the
// worlds will cycle in a game with either the frag
// or time limits set.
//
// NB: Maybe due to the use of AI a single mission
// will hang instead of cycling.
//-------------------------------------------------
$MissionCycling::Stage0 = "OV_01011101";
$MissionCycling::Stage1 = "OV_Permafrost";
$MissionCycling::Stage2 = "OV_Circular_Logic";
$MissionCycling::Stage3 = "OV_Cauldron";
$MissionCycling::Stage4 = "OV_EaglesNest";
$MissionCycling::Stage5 = "OV_Oasis";
$MissionCycling::Stage6 = "OV_DullWR";
$MissionCycling::Stage7 = "OV_TitanDusk";
$MissionCycling::Stage8 = "OV_Venus";
$MissionCycling::Stage9 = "OV_SnowValley";
$MissionCycling::Stage10 = "OV_Anvil";

//-------------------------------------------------
// Start mission. Defines which mission from the
// rotation list the server starts on.
//-------------------------------------------------
$server::Mission = $MissionCycling::Stage9;

// Team damage allows the occasional looney AI to be dispatched by his
// teammates, and gives real meaning to "protect your base".
$server::TeamDamage = true;

// Maximum AI attackers at one time. CAREFUL: Too few AI and the human players
// will never be overrun, too many AI and you'll overload the server CPU.
$OVmaxAttackers = floor(2.5*$server::MaxPlayers);

// Override map settings for Cybrid/Human/mixed AI by changing the line below.
// Type of attackers: 0 = map defaults, 1 = Cybrid, 2 = Human, 3 = mixed.
$OVforceAttackerTech = 0;

// These items will be allowed by default -- your mission script can change these
// by calling allowVehicle, allowComponent, or allowWeapon
function setAllowedItems()
{
	//Vehicles
	exec("defaultVehicles.cs");
	allowComponent( all, TRUE );
	allowWeapon( all, TRUE );
}

// what can the client choose for a team
$server::AllowTeamRed = false;
$server::AllowTeamBlue = false;
$server::AllowTeamYellow = false;
$server::AllowTeamPurple = true;

// what can the server admin choose for available teams
$server::disableTeamRed = true;
$server::disableTeamBlue = true;
$server::disableTeamYellow = true;
//$server::disableTeamYellow = false;
$server::disableTeamPurple = false;

$server::TeamPlay = true;
$server::AllowDeathmatch = false;
$server::AllowTeamPlay = true;  
